# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/sgd,gktw70sdae4se.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Solomon Goldentek Display GKTW70SDAE4SE 7" WVGA LVDS Display Panel

maintainers:
  - Neil Armstrong <narmstrong@baylibre.com>
  - Thierry Reding <thierry.reding@gmail.com>

allOf:
  - $ref: lvds.yaml#

properties:
  compatible:
    items:
      - const: sgd,gktw70sdae4se
      - {} # panel-lvds, but not listed here to avoid false select

  data-mapping:
    const: jeida-18

  width-mm:
    const: 153

  height-mm:
    const: 86

  panel-timing: true
  port: true

additionalProperties: false

required:
  - compatible

examples:
  - |+
    panel {
      compatible = "sgd,gktw70sdae4se", "panel-lvds";

      width-mm = <153>;
      height-mm = <86>;

      data-mapping = "jeida-18";

      panel-timing {
        clock-frequency = <32000000>;
        hactive = <800>;
        vactive = <480>;
        hback-porch = <39>;
        hfront-porch = <39>;
        vback-porch = <29>;
        vfront-porch = <13>;
        hsync-len = <47>;
        vsync-len = <2>;
      };

      port {
        panel_in: endpoint {
          remote-endpoint = <&lvds_encoder>;
        };
      };
    };

...
